package tools.descartes.dql.connector.kieker.tests;

import static org.junit.Assert.assertTrue;

import org.junit.Test;

import tools.descartes.dql.connector.kieker.ModelStructureQueryConnectorImpl;
import tools.descartes.dql.models.mapping.mapping.EntityMapping;
import tools.descartes.dql.models.mapping.mapping.MappingFactory;
import tools.descartes.dql.models.mapping.mapping.impl.MappingFactoryImpl;

public class ListEntitiesTest {
	@Test
	public void testListEntities(){

		String modelLocation = "testFiles";
		
		ModelStructureQueryConnectorImpl msqc = new ModelStructureQueryConnectorImpl();
		
		//Build request
		MappingFactory mappingFactory = MappingFactoryImpl.init();
		EntityMapping request = mappingFactory.createEntityMapping();
		request.setModelLocation(modelLocation);
		
		
		EntityMapping answer = msqc.requestEntities(request);
		assertTrue(answer.getEntities().size() > 0);
	}
}
